@import 'src/assets/scss/core/functions';
@import "src/assets/scss/core/breakpoints";
@import "src/assets/scss/core/mixins";
@import "src/assets/scss/settings";

:host {
  &.ng-pristine.ng-invalid {

    .input__field {
      color: $gray-color;
    }

  }
}

.input {
  position: relative;

  &__field {
    @include input();

    display: flex;
    align-items: center;

    .input:hover & {
      border-color: var(--gray-color);
    }

    .input--invalid:hover & {
      border-color: lighten($red-color, 15%);
    }

    .input--textarea & {
      padding-top: 20px;
      padding-bottom: 20px;
      height: auto;
    }

    .input--focused & {
      color: $black-color;
      border: 2px solid $primary-color;
    }

    .input--error &,
    .form.error & {
      border: 1px solid $red-color;
      background-color: rgba($red-color, 0.5);
      color: $black-color;
    }

    .input--clean & {
      box-shadow: none;
      border: none;
    }

    .input--no-shadow & {
      box-shadow: none;
    }

    .input--order-number & {
      padding-left: 90px;
    }

    &:-webkit-autofill,
    &:-webkit-autofill:focus {
      -webkit-box-shadow: 0 0 0 1000px white inset;
      -webkit-text-fill-color: $black-color;
    }

    //@include placeholder {
    //  .input--error & {
    //    color: var(--red-color);
    //  }
    //}

    &:focus::-webkit-contacts-auto-fill-button {
      opacity: 0;
    }
  }

  &__field[type="number"] {
    -moz-appearance: textfield;

    &::-webkit-inner-spin-button,
    &::-webkit-outer-spin-button {
      -webkit-appearance: none;
      margin: 0;
    }
  }

  &__edit {
    display: inline-block;
    min-width: 1px;
    width: auto;
    max-width: 100%;
    line-height: 1;
    white-space: nowrap;
    overflow-x: auto;

    &:empty {
      min-width: 100%;
    }

    &::-webkit-scrollbar {
      display: none;
    }

    @include focus {
      outline: none;
    }
  }

  &__unit {
    margin-left: 5px;
    display: block;

    .input__edit:empty ~ & {
      display: none;
    }
  }

  &__error {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    left: 15px;
    //display: none;
    font-family: $font-family--secondary;
    font-size: 16px;
    line-height: 1;
    color: $red-color;
    pointer-events: none;

    //.input--error &,
    //.form.error & {
    //  display: block;
    //}
    //
    .input.focused &,
    .input__field:focus ~ & {
      display: none;
    }
  }

  ::ng-deep &__restore {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    right: 18px;
    font-family: $font-family--secondary;
    font-size: 12px;
    line-height: 17px;
    color: $gray-dark-color;
    text-decoration: none;

    @include hover {
      opacity: 0.8;
    }
  }
}
